Package picard.sam.SamErrorMetric

## Enum ReadBaseStratification.ReadDirection

- java.lang.Object
- - java.lang.Enum<ReadBaseStratification.ReadDirection>
  - - picard.sam.SamErrorMetric.ReadBaseStratification.ReadDirection

- All Implemented Interfaces:
    `Serializable`, `Comparable<ReadBaseStratification.ReadDirection>`
  Enclosing class:
    ReadBaseStratification

      public static enum ReadBaseStratification.ReadDirection
      extends Enum<ReadBaseStratification.ReadDirection>

  An enum for holding the direction for a read (positive strand or negative strand

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `NEGATIVE` |
    `POSITIVE` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ReadBaseStratification.ReadDirection` | `of​(htsjdk.samtools.SAMRecord sam)` |
    `String` | `toString()` |
    `static ReadBaseStratification.ReadDirection` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static ReadBaseStratification.ReadDirection[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### POSITIVE

          public static final ReadBaseStratification.ReadDirection POSITIVE

    - #### NEGATIVE

          public static final ReadBaseStratification.ReadDirection NEGATIVE

  - ### Method Detail

    - #### values

          public static ReadBaseStratification.ReadDirection[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ReadBaseStratification.ReadDirection c : ReadBaseStratification.ReadDirection.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ReadBaseStratification.ReadDirection valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<ReadBaseStratification.ReadDirection>`

    - #### of

          public static ReadBaseStratification.ReadDirection of​(htsjdk.samtools.SAMRecord sam)